
Foreman - Bug #361

node.rb returns empty environment

07/31/2010 07:31 AM - Chad Huneycutt

Status: Closed   

Priority: Normal   

Assignee: Jochen Schalanda   

Category:    

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When no environment is set on a node (that happens for me when new hosts are imported into foreman), the node yaml should just

omit the environment attribute, rather than provide an empty one, as it does now.

History

#1 - 07/31/2010 01:04 PM - Jochen Schalanda

- File 0001-Fixes-bug-361-Omit-environment-attribute-in-Host-inf.patch added

- Assignee set to Jochen Schalanda

- Target version set to 0.1-6

Quick and dirty patch for the issue.

#2 - 08/15/2010 01:49 PM - Ohad Levy

- Status changed from New to Ready For Testing

applied in a6e10c72

#3 - 08/28/2010 09:47 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

Files

0001-Fixes-bug-361-Omit-environment-attribute-in-Host-inf.patch 1.05 KB 07/31/2010 Jochen Schalanda
